Description

We want to implement a wizard like tool, that allows developers to analyze and test their Fluid templates. Following features should be
incorporated:

    1. Display the (highlighted) source code of a Fluid template
        1. All nodes should be wrapped with <span> tags and meaningful CSS classes
        2. Partials & Layouts could be linked, so that you only have to click the partial name in order to load the respective partial into
FTA
        3. ViewHelper nodes could be linked with the source code of the corresponding ViewHelper
        4. Meta information of the node could be added to the span's title attribute (e.g. PHP doc comments of the ViewHelper's render
method)
    2. Display the (highlighted) rendered Fluid template
        1. All rendered nodes should be wrapped with <span> tags and meaningful CSS classes
        2. Meta information of the node could be added to the span's title attribute (e.g. source code of this node, parameters of the
respective ViewHelper)

History
#1 - 2010-07-23 10:56 - Bastian Waidelich
- Subject changed from Fluid Template Analizer (FTA) to Fluid Template Analyzer (FTA)

#2 - 2010-08-26 10:24 - Sebastian Kurfuerst
- % Done changed from 0 to 20

The current state can be found at github: http://github.com/skurfuerst/fluid

#3 - 2010-10-06 10:33 - Bastian Waidelich

It would be great to be able to change the fluid code from within the TA.. Not storing the changes of course but displaying the results. Just like the "edit
HTML/CSS" feature in firebug.
That would be another killer feature ;)

#4 - 2011-05-05 18:32 - Sebastian Kurfuerst
- Tracker changed from Major Feature to Story

#5 - 2011-05-06 11:03 - Sebastian Kurfuerst
- Tracker changed from Story to Feature
